Viewing docs for OVHCloud v2.12.0
published on Thursday, Mar 12, 2026 by OVHcloud
published on Thursday, Mar 12, 2026 by OVHcloud
Viewing docs for OVHCloud v2.12.0
published on Thursday, Mar 12, 2026 by OVHcloud
published on Thursday, Mar 12, 2026 by OVHcloud
Retrieve information about a Managed Rancher Service in the given public cloud project.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as ovh from "@ovhcloud/pulumi-ovh";
const rancher = ovh.CloudProject.getRancher({
projectId: "<public cloud project ID>",
id: "<Rancher service ID>",
});
import pulumi
import pulumi_ovh as ovh
rancher = ovh.CloudProject.get_rancher(project_id="<public cloud project ID>",
id="<Rancher service ID>")
package main
import (
"github.com/ovh/pulumi-ovh/sdk/v2/go/ovh/cloudproject"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudproject.GetRancher(ctx, &cloudproject.GetRancherArgs{
ProjectId: "<public cloud project ID>",
Id: "<Rancher service ID>",
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Ovh = Pulumi.Ovh;
return await Deployment.RunAsync(() =>
{
var rancher = Ovh.CloudProject.GetRancher.Invoke(new()
{
ProjectId = "<public cloud project ID>",
Id = "<Rancher service ID>",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.ovh.CloudProject.CloudProjectFunctions;
import com.pulumi.ovh.CloudProject.inputs.GetRancherArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var rancher = CloudProjectFunctions.getRancher(GetRancherArgs.builder()
.projectId("<public cloud project ID>")
.id("<Rancher service ID>")
.build());
}
}
variables:
rancher:
fn::invoke:
function: ovh:CloudProject:getRancher
arguments:
projectId: <public cloud project ID>
id: <Rancher service ID>
Using getRancher
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getRancher(args: GetRancherArgs, opts?: InvokeOptions): Promise<GetRancherResult>
function getRancherOutput(args: GetRancherOutputArgs, opts?: InvokeOptions): Output<GetRancherResult>def get_rancher(id: Optional[str] = None,
project_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetRancherResult
def get_rancher_output(id: Optional[pulumi.Input[str]] = None,
project_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetRancherResult]func LookupRancher(ctx *Context, args *LookupRancherArgs, opts ...InvokeOption) (*LookupRancherResult, error)
func LookupRancherOutput(ctx *Context, args *LookupRancherOutputArgs, opts ...InvokeOption) LookupRancherResultOutput> Note: This function is named LookupRancher in the Go SDK.
public static class GetRancher
{
public static Task<GetRancherResult> InvokeAsync(GetRancherArgs args, InvokeOptions? opts = null)
public static Output<GetRancherResult> Invoke(GetRancherInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetRancherResult> getRancher(GetRancherArgs args, InvokeOptions options)
public static Output<GetRancherResult> getRancher(GetRancherArgs args, InvokeOptions options)
fn::invoke:
function: ovh:CloudProject/getRancher:getRancher
arguments:
# arguments dictionaryThe following arguments are supported:
- id str
- Unique identifier
- project_
id str - Project ID
getRancher Result
The following output properties are available:
- Created
At string - Date of the managed Rancher service creation
- Current
State GetRancher Current State - Current configuration applied to the managed Rancher service
- Current
Tasks List<GetRancher Current Task> - Asynchronous operations ongoing on the managed Rancher service
- Id string
- Unique identifier
- Project
Id string - Project ID
- Resource
Status string - Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in
READYstatus - Target
Spec GetRancher Target Spec - Last target specification of the managed Rancher service
- Updated
At string - Date of the last managed Rancher service update
- Created
At string - Date of the managed Rancher service creation
- Current
State GetRancher Current State - Current configuration applied to the managed Rancher service
- Current
Tasks []GetRancher Current Task - Asynchronous operations ongoing on the managed Rancher service
- Id string
- Unique identifier
- Project
Id string - Project ID
- Resource
Status string - Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in
READYstatus - Target
Spec GetRancher Target Spec - Last target specification of the managed Rancher service
- Updated
At string - Date of the last managed Rancher service update
- created
At String - Date of the managed Rancher service creation
- current
State GetRancher Current State - Current configuration applied to the managed Rancher service
- current
Tasks List<GetRancher Current Task> - Asynchronous operations ongoing on the managed Rancher service
- id String
- Unique identifier
- project
Id String - Project ID
- resource
Status String - Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in
READYstatus - target
Spec GetRancher Target Spec - Last target specification of the managed Rancher service
- updated
At String - Date of the last managed Rancher service update
- created
At string - Date of the managed Rancher service creation
- current
State GetRancher Current State - Current configuration applied to the managed Rancher service
- current
Tasks GetRancher Current Task[] - Asynchronous operations ongoing on the managed Rancher service
- id string
- Unique identifier
- project
Id string - Project ID
- resource
Status string - Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in
READYstatus - target
Spec GetRancher Target Spec - Last target specification of the managed Rancher service
- updated
At string - Date of the last managed Rancher service update
- created_
at str - Date of the managed Rancher service creation
- current_
state GetRancher Current State - Current configuration applied to the managed Rancher service
- current_
tasks Sequence[GetRancher Current Task] - Asynchronous operations ongoing on the managed Rancher service
- id str
- Unique identifier
- project_
id str - Project ID
- resource_
status str - Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in
READYstatus - target_
spec GetRancher Target Spec - Last target specification of the managed Rancher service
- updated_
at str - Date of the last managed Rancher service update
- created
At String - Date of the managed Rancher service creation
- current
State Property Map - Current configuration applied to the managed Rancher service
- current
Tasks List<Property Map> - Asynchronous operations ongoing on the managed Rancher service
- id String
- Unique identifier
- project
Id String - Project ID
- resource
Status String - Reflects the readiness of the managed Rancher service. A new target specification request will be accepted only in
READYstatus - target
Spec Property Map - Last target specification of the managed Rancher service
- updated
At String - Date of the last managed Rancher service update
Supporting Types
GetRancherCurrentState
- Bootstrap
Password string - Bootstrap password of the managed Rancher service, returned only on creation
- Iam
Auth boolEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- Ip
Restrictions List<GetRancher Current State Ip Restriction> - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- Name string
- Name of the managed Rancher service
- Networking
Get
Rancher Current State Networking - Networking properties of a managed Rancher service
- Plan string
- Plan of the managed Rancher service
- Region string
- Region of the managed Rancher service
- Url string
- URL of the managed Rancher service
- Usage
Get
Rancher Current State Usage - Latest metrics regarding the usage of the managed Rancher service
- Version string
- Version of the managed Rancher service
- Bootstrap
Password string - Bootstrap password of the managed Rancher service, returned only on creation
- Iam
Auth boolEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- Ip
Restrictions []GetRancher Current State Ip Restriction - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- Name string
- Name of the managed Rancher service
- Networking
Get
Rancher Current State Networking - Networking properties of a managed Rancher service
- Plan string
- Plan of the managed Rancher service
- Region string
- Region of the managed Rancher service
- Url string
- URL of the managed Rancher service
- Usage
Get
Rancher Current State Usage - Latest metrics regarding the usage of the managed Rancher service
- Version string
- Version of the managed Rancher service
- bootstrap
Password String - Bootstrap password of the managed Rancher service, returned only on creation
- iam
Auth BooleanEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip
Restrictions List<GetRancher Current State Ip Restriction> - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name String
- Name of the managed Rancher service
- networking
Get
Rancher Current State Networking - Networking properties of a managed Rancher service
- plan String
- Plan of the managed Rancher service
- region String
- Region of the managed Rancher service
- url String
- URL of the managed Rancher service
- usage
Get
Rancher Current State Usage - Latest metrics regarding the usage of the managed Rancher service
- version String
- Version of the managed Rancher service
- bootstrap
Password string - Bootstrap password of the managed Rancher service, returned only on creation
- iam
Auth booleanEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip
Restrictions GetRancher Current State Ip Restriction[] - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name string
- Name of the managed Rancher service
- networking
Get
Rancher Current State Networking - Networking properties of a managed Rancher service
- plan string
- Plan of the managed Rancher service
- region string
- Region of the managed Rancher service
- url string
- URL of the managed Rancher service
- usage
Get
Rancher Current State Usage - Latest metrics regarding the usage of the managed Rancher service
- version string
- Version of the managed Rancher service
- bootstrap_
password str - Bootstrap password of the managed Rancher service, returned only on creation
- iam_
auth_ boolenabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip_
restrictions Sequence[GetRancher Current State Ip Restriction] - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name str
- Name of the managed Rancher service
- networking
Get
Rancher Current State Networking - Networking properties of a managed Rancher service
- plan str
- Plan of the managed Rancher service
- region str
- Region of the managed Rancher service
- url str
- URL of the managed Rancher service
- usage
Get
Rancher Current State Usage - Latest metrics regarding the usage of the managed Rancher service
- version str
- Version of the managed Rancher service
- bootstrap
Password String - Bootstrap password of the managed Rancher service, returned only on creation
- iam
Auth BooleanEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip
Restrictions List<Property Map> - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name String
- Name of the managed Rancher service
- networking Property Map
- Networking properties of a managed Rancher service
- plan String
- Plan of the managed Rancher service
- region String
- Region of the managed Rancher service
- url String
- URL of the managed Rancher service
- usage Property Map
- Latest metrics regarding the usage of the managed Rancher service
- version String
- Version of the managed Rancher service
GetRancherCurrentStateIpRestriction
- Cidr
Block string - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- Description string
- Description of the allowed CIDR block
- Cidr
Block string - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- Description string
- Description of the allowed CIDR block
- cidr
Block String - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description String
- Description of the allowed CIDR block
- cidr
Block string - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description string
- Description of the allowed CIDR block
- cidr_
block str - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description str
- Description of the allowed CIDR block
- cidr
Block String - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description String
- Description of the allowed CIDR block
GetRancherCurrentStateNetworking
- Egress
Cidr List<string>Blocks - Specifies the CIDR ranges for egress IP addresses used by Rancher. Ensure these ranges are allowed in any IP restrictions for services that Rancher will access.
- Egress
Cidr []stringBlocks - Specifies the CIDR ranges for egress IP addresses used by Rancher. Ensure these ranges are allowed in any IP restrictions for services that Rancher will access.
- egress
Cidr List<String>Blocks - Specifies the CIDR ranges for egress IP addresses used by Rancher. Ensure these ranges are allowed in any IP restrictions for services that Rancher will access.
- egress
Cidr string[]Blocks - Specifies the CIDR ranges for egress IP addresses used by Rancher. Ensure these ranges are allowed in any IP restrictions for services that Rancher will access.
- egress_
cidr_ Sequence[str]blocks - Specifies the CIDR ranges for egress IP addresses used by Rancher. Ensure these ranges are allowed in any IP restrictions for services that Rancher will access.
- egress
Cidr List<String>Blocks - Specifies the CIDR ranges for egress IP addresses used by Rancher. Ensure these ranges are allowed in any IP restrictions for services that Rancher will access.
GetRancherCurrentStateUsage
- Datetime string
- Date of the sample
- Orchestrated
Vcpus double - Total number of vCPUs orchestrated by the managed Rancher service through the downstream clusters
- Datetime string
- Date of the sample
- Orchestrated
Vcpus float64 - Total number of vCPUs orchestrated by the managed Rancher service through the downstream clusters
- datetime String
- Date of the sample
- orchestrated
Vcpus Double - Total number of vCPUs orchestrated by the managed Rancher service through the downstream clusters
- datetime string
- Date of the sample
- orchestrated
Vcpus number - Total number of vCPUs orchestrated by the managed Rancher service through the downstream clusters
- datetime str
- Date of the sample
- orchestrated_
vcpus float - Total number of vCPUs orchestrated by the managed Rancher service through the downstream clusters
- datetime String
- Date of the sample
- orchestrated
Vcpus Number - Total number of vCPUs orchestrated by the managed Rancher service through the downstream clusters
GetRancherCurrentTask
GetRancherTargetSpec
- Iam
Auth boolEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- Ip
Restrictions List<GetRancher Target Spec Ip Restriction> - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- Name string
- Name of the managed Rancher service
- Plan string
- Plan of the managed Rancher service. Available plans for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/plan
- Version string
- Version of the managed Rancher service. Available versions for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/version
- Iam
Auth boolEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- Ip
Restrictions []GetRancher Target Spec Ip Restriction - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- Name string
- Name of the managed Rancher service
- Plan string
- Plan of the managed Rancher service. Available plans for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/plan
- Version string
- Version of the managed Rancher service. Available versions for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/version
- iam
Auth BooleanEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip
Restrictions List<GetRancher Target Spec Ip Restriction> - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name String
- Name of the managed Rancher service
- plan String
- Plan of the managed Rancher service. Available plans for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/plan
- version String
- Version of the managed Rancher service. Available versions for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/version
- iam
Auth booleanEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip
Restrictions GetRancher Target Spec Ip Restriction[] - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name string
- Name of the managed Rancher service
- plan string
- Plan of the managed Rancher service. Available plans for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/plan
- version string
- Version of the managed Rancher service. Available versions for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/version
- iam_
auth_ boolenabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip_
restrictions Sequence[GetRancher Target Spec Ip Restriction] - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name str
- Name of the managed Rancher service
- plan str
- Plan of the managed Rancher service. Available plans for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/plan
- version str
- Version of the managed Rancher service. Available versions for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/version
- iam
Auth BooleanEnabled - Allows Rancher to use identities managed by OVHcloud IAM (Identity and Access Management) to control access
- ip
Restrictions List<Property Map> - List of allowed CIDR blocks for a managed Rancher service's IP restrictions. When empty, any IP is allowed
- name String
- Name of the managed Rancher service
- plan String
- Plan of the managed Rancher service. Available plans for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/plan
- version String
- Version of the managed Rancher service. Available versions for an existing managed Rancher can be retrieved using GET /rancher/rancherID/capabilities/version
GetRancherTargetSpecIpRestriction
- Cidr
Block string - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- Description string
- Description of the allowed CIDR block
- Cidr
Block string - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- Description string
- Description of the allowed CIDR block
- cidr
Block String - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description String
- Description of the allowed CIDR block
- cidr
Block string - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description string
- Description of the allowed CIDR block
- cidr_
block str - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description str
- Description of the allowed CIDR block
- cidr
Block String - Allowed CIDR block (/subnet is optional, if unspecified then /32 will be used)
- description String
- Description of the allowed CIDR block
Package Details
- Repository
- ovh ovh/pulumi-ovh
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ovhTerraform Provider.
Viewing docs for OVHCloud v2.12.0
published on Thursday, Mar 12, 2026 by OVHcloud
published on Thursday, Mar 12, 2026 by OVHcloud
